<?php
// Version: 0.95; TPortal

// TPortal template - for frontpage.

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// show the linktree
	if((isset($context['TPortal']['articleoptions']['linktree']) && $context['TPortal']['front_type']!='frontblock') || $context['TPortal']['front_type']=='frontblock')
		echo '<div style="margin-bottom: 4px;">', theme_linktree() , '</div>';

	// if frontblocks are chosen, render the frontblocks
	if($context['TPortal']['front_type']=='frontblock' && $context['TPortal']['frontbar']){
		echo '<div>' , TPortal_sidebar('front') , '</div>';
	}
	// is it a single article? Apply options then
	elseif(isset($context['TPortal']['use_articleoptions']) && $context['TPortal']['use_articleoptions']=='1'){
		foreach($context['TPortal']['boardnews'] as $news){
			echo '
<table cellspacing="0" cellpadding="0" width="100%" style="table-layout: fixed; margin-bottom: 4px;" border="0" ' , ($news['is_last']=='theme' || $news['is_last']==false) ? 'class="tborder"' : '' , '>
	
	<tr>
		<td width="100%">
			<div>';

					if(isset($context['TPortal']['articleoptions']['title'])){
						if($news['is_last']=='theme' || $news['is_last']==false || $news['is_last']=='title')
							echo '
				<div class="' , $news['icon']=='noicon' ? 'titlebg' : 'catbg' ,'" style="padding: 6px;">' , $news['icon']!='noicon' ? $news['icon'] : '<img src="'.$settings['images_url'].'/TParticle.gif" style="margin: 0px;" align="middle" /> ' ,' <a href="' .$news['href']. '">' .$news['subject']. '</a></div>';
						else
							echo '
				<div style="padding: 6px;"> ' , $news['icon']!='noicon' ? $news['icon'] : '<img src="'.$settings['images_url'].'/TParticle.gif" style="margin: 0px;" align="middle" /> ' ,' <a href="' .$news['href']. '">' .$news['subject']. '</a></div>';
					}
					
					// if featured..do something to the subject?
					if(isset($context['TPortal']['articleoptions']['date']) || isset($context['TPortal']['articleoptions']['author']))
						echo '
					<div style="overflow: auto; padding: 8px; padding-top: 0px;" ' , ($news['is_last']=='theme' || $news['is_last']==false) ? 'class="windowbg"' : '' , '>
					<div style="padding-bottom: 4px; vertical-align: bottom;" class="smalltext"> ' , isset($context['TPortal']['articleoptions']['date']) ? $news['time'].' ' : '' , isset($context['TPortal']['articleoptions']['author']) ? $txt['tp-by'].' <b><a href="'.$news['poster']['href'].'">'.$news['poster']['name'].'</a></b>' : '' , '</div>';

					echo '<div style="padding: 5px;">';

						// is the article a php page?
					if($news['link']==-1)
							eval($news['body']);
					elseif($news['link']==1)
							echo $news['new_comment'];
					else
							echo $news['body'];

					echo '
					</div>
				</div>
		</td>
	</tr>
</table>';
		}
	}
	
	// guess not, render article/news then
	else{
		if(sizeof($context['TPortal']['boardnews'])>0){
		// find number of pages
			if($context['TPortal']['frontpage_limit']>0){
				$pages=floor(sizeof($context['TPortal']['boardnews'])/$context['TPortal']['frontpage_limit']);
				$counter=1;
				if(isset($context['TPortal']['mystart']))
					$whichpage=floor($context['TPortal']['mystart']/$context['TPortal']['frontpage_limit']);
				else
					$whichpage=0;
			}
			else{
				$pages=0;
				$counter=0;
				$whichpage=0;
			}
			foreach($context['TPortal']['boardnews'] as $news){
				// reached the start yet?
				$show=false;
				if($counter > $context['TPortal']['mystart'] || $counter == $context['TPortal']['mystart']){
					if($counter< ($context['TPortal']['mystart']+$context['TPortal']['frontpage_limit']))
						$show=true;
				}
				$counter++;

				if($show){
					echo '
<table cellspacing="0" cellpadding="0" width="100%" style="table-layout: fixed; margin-top: 4px; margin-bottom: 4px;" border="0" ' , ($news['is_last']=='theme' || $news['is_last']==false) ? 'class="tborder"' : '' , '>
	<tr>
		<td width="100%">
			<div>';

					if($news['is_last']=='theme' || $news['is_last']==false || $news['is_last']=='title')
						echo '
				<div class="tpsubject" style="padding: 6px;">' , $news['icon']!='noicon' ? $news['icon'] : '<img src="'.$settings['images_url'].'/TParticle.gif" style="margin: 0px;" align="middle" /> ' ,' <a href="' .$news['href']. '"><b>' .$news['subject']. '<b></a>';
					else
						echo '
				<div style="padding: 6px;"> ' , $news['icon']!='noicon' ? $news['icon'] : '<img src="'.$settings['images_url'].'/TParticle.gif" style="margin: 0px;" align="middle" /> ' ,' <a href="' .$news['href']. '">' .$news['subject']. '</a>';

					// if featured..do something to the subject?
					echo '
				</div>
				<div style="overflow: auto; padding: 3px; padding-top: 1px;" ' , ($news['is_last']=='theme' || $news['is_last']==false) ? 'class="windowbg"' : '' , '>
					<div style="padding-bottom: 10px; vertical-align: bottom;" class="smalltext"><i> '.$news['time'].' '.$txt['tp-by'].' <b><a href="'.$news['poster']['href'].'">'.$news['poster']['name'].'</a></b></i></div>';

					if($news['icon']!='noicon'){
						echo $news['body'];

					echo '
				</div>
				<div align="center" ' , ($news['is_last']=='theme' || $news['is_last']==false) ? '' : '' , ' style="padding: 6px;">', ($context['TPortal']['frontpage_limit_len']>0 && strlen($news['body'])>$context['TPortal']['frontpage_limit_len']) ? '<a href="' .$news['href']. '">'.$txt['tp-readmore'].'</a> &nbsp;&nbsp;' : '' , ' ' , $news['icon']!='noicon' ? '<img src="'.$settings['images_url'].'/TPmodify.gif" /> '.$news['new_comment'].' &nbsp;(<a href="' .$news['href']. '">'.$news['replies'].' '.$txt['tp-comments'].'</a>)' : '' ,'</div>
			</div>
		</td>
	</tr>
</table>';
					}
					else{
						// is the article a php page?
						if($news['link']==-1)
							eval($news['body']);
						elseif($news['link']==1)
							echo $news['new_comment'];
						else
							echo $news['body'];

						echo '
						<br / >
				</div>
			</div>
			<div ' , ($news['is_last']=='theme' || $news['is_last']==false) ? 'class="windowbg"' : '' , ($news['link']==1) ? 'style="padding: 6px;"><a href="'.$news['href'].'">'.$txt['tp-readmore'].'</a>' : '>' , '
' , $news['icon']!='noicon' ? ' <img src="'.$settings['images_url'].'/filter.gif" /> <a href="' .$news['href']. '"> '.$news['replies'].' '.$txt['tp-comments'].'</a>
	<img src="'.$settings['images_url'].'/TPmodify.gif" /> '.$news['new_comment'] : '' ,'
			</div>
		</td>
	</tr>
</table>';

					}
				}
			}
			// show number of pages, don't show 0 page
			if($pages>0){
				echo '
<div style="padding: 5px; text-align: right; padding-right: 50px;">  ';
				echo '<b>Sayfalar</b>: ';
				for($t=0 ; $t<=$pages ; $t++){
					$s=$t+1;
					if($t==$whichpage){
						echo ' <b>['.$s.']</b> ';
					}
					else{
						$what=floor(($t*$context['TPortal']['frontpage_limit']));
						if($what<0)
							$what=0;
						echo ' <a href="' . $scripturl . '?tpstart='. $what .'', (isset($context['TPortal']['mycat']) && $context['TPortal']['mycat']!='') ? ';cat='.$context['TPortal']['mycat'] : '' ,'" /><b>'.$s.'</b></a> ';
					}
				}
				echo '
</div>';

			}
		}
		// nothing to show?
		if(sizeof($context['TPortal']['boardnews'])==0)
			echo '
<div style="padding: 15px; text-align: center"> '.$txt['no_articles'].' </div>';

	}
}


?>
